Package javax.websocket.server

## Interface ServerEndpointConfig

All Superinterfaces:
  `EndpointConfig`

    public interface ServerEndpointConfig
    extends EndpointConfig

Provides configuration information for WebSocket endpoints published to a server. Applications may provide their own implementation or use `ServerEndpointConfig.Builder`.

### Nested Class Summary

Nested Classes
`static class` `ServerEndpointConfig.Builder`
`static class` `ServerEndpointConfig.Configurator`

### Method Summary

All Methods Instance Methods Abstract Methods
`ServerEndpointConfig.Configurator` `getConfigurator()`
`java.lang.Class<?>` `getEndpointClass()`
`java.util.List<Extension>` `getExtensions()`
`java.lang.String` `getPath()` Returns the path at which this WebSocket server endpoint has been registered.
`java.util.List<java.lang.String>` `getSubprotocols()`

### Methods inherited from interface javax.websocket.EndpointConfig

`getDecoders, getEncoders, getUserProperties`

### Method Detail

#### getEndpointClass

    java.lang.Class<?> getEndpointClass()

#### getPath

    java.lang.String getPath()

Returns the path at which this WebSocket server endpoint has been registered. It may be a path or a level 0 URI template.

Returns:
  The registered path

#### getSubprotocols

    java.util.List<java.lang.String> getSubprotocols()

#### getExtensions

    java.util.List<Extension> getExtensions()

#### getConfigurator

    ServerEndpointConfig.Configurator getConfigurator()